%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  GauPro
%global packver   0.2.15
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.2.15
Release:          1%{?dist}%{?buildtag}
Summary:          Gaussian Process Fitting

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildRequires:    R-CRAN-mixopt > 0.1.0
BuildRequires:    R-CRAN-numDeriv 
BuildRequires:    R-CRAN-rmarkdown 
BuildRequires:    R-CRAN-tidyr 
BuildRequires:    R-CRAN-ggplot2 
BuildRequires:    R-CRAN-Rcpp 
BuildRequires:    R-CRAN-R6 
BuildRequires:    R-CRAN-lbfgs 
BuildRequires:    R-CRAN-RcppArmadillo 
Requires:         R-CRAN-mixopt > 0.1.0
Requires:         R-CRAN-numDeriv 
Requires:         R-CRAN-rmarkdown 
Requires:         R-CRAN-tidyr 
Requires:         R-CRAN-ggplot2 
Requires:         R-CRAN-Rcpp 
Requires:         R-CRAN-R6 
Requires:         R-CRAN-lbfgs 

%description
Fits a Gaussian process model to data. Gaussian processes are commonly
used in computer experiments to fit an interpolating model. The model is
stored as an 'R6' object and can be easily updated with new data. There
are options to run in parallel, and 'Rcpp' has been used to speed up
calculations. For more info about Gaussian process software, see Erickson
et al. (2018) <doi:10.1016/j.ejor.2017.10.002>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
